<?php
include 'topo.php';

$idP = $_REQUEST['id'];
$msg = "";
$msgClass = "msgErro";
$titulo = "Catálogo > Produtos > Categorias";
$pg_voltar = "produto-alterar.php?id=$idP";
$msg_ok = "Salvo com sucesso";
$msg_erro = "Erro ao salvar";

##########################
# carregar
##########################
if(isPost($idP)){
	$obj = new Produto();
	$obj->id = $_REQUEST['id'];
	$obj->carregar();
}

##########################
# alterar
##########################
if(isPost($_POST['ok'])){ 
	$erro = false;
	UtilObjeto::limpar("produtocategoria","WHERE id_produto = ".$_REQUEST['id']);
	if(isPost($_POST['categoria']) && is_array($_POST['categoria'])){ 
		foreach($_POST['categoria'] as $idPostCat){
                    if(!$obj->inserirCategoria($idPostCat)){
                            $erro = true;
                            break;
                    }
                }
	}
	if(!$erro){
		$msg = $msg_ok;
		$msgClass = "msgSucesso";
		$obj->atualizaSeoLink();
	}else{
		$msg = $msg_erro;
	}
}

##########################
# alterar destaque
# alterar principal
##########################
if(isPost($_POST['ok2'])){
	if(is_array($_POST['destaque'])){
		foreach($_POST['destaque'] as $idCategoriaDestaque => $valorDestaque){
			$valorPrincipal = ($_POST['principal'] == $idCategoriaDestaque) ? 's' : 'n';
			$obj->alterarCategoria($idCategoriaDestaque,$valorDestaque,$valorPrincipal);
		}
		$obj->atualizaSeoLink();
		$msg = $msg_ok;
		$msgClass = "msgSucesso";
	}
}

##########################
# carregar categorias
##########################
$arrCategoria = Produto::listarCategoria($idP);
$temCategoria = (is_array($arrCategoria)) ? true : false;
?>

<h1><?=$titulo?></h1>

<div class="boxAcao">
	<ul>
		<li><a href="<?=URLADMIN?>produto-imagem.php?id=<?=$idP?>" title="Imagens">> Imagens</a></li>
		<li><a href="<?=URLADMIN?>produto-categoria.php?id=<?=$idP?>" title="Categorias">> Categorias</a></li>
		<li><a href="<?=URLADMIN?>produto-tamanho.php?id=<?=$idP?>" title="Tamanhos">> Tamanhos</a></li>
		<li><a href="<?=URLADMIN?>produto-relacionado.php?id=<?=$idP?>" title="Produtos Relacionados">> Relacionados</a></li>
		<li><a href="<?=URLADMIN?>produto-tag.php?id=<?=$idP?>" title="Tags de Busca">> Tags de Busca</a></li>
		<li class="border-none"><a href="<?=URLADMIN.$pg_voltar?>" title="Voltar">> Voltar</a></li>
	</ul>
</div>

<?php include PATHADMIN.'msg.php'; ?>

<div class="boxForm">
	<div class="boxTitulo"><?=$obj->nome?></div>
	<form name="form1" id="form1" action="" method="post">
		<div class="campo3">
			<label for="categoria">Categorias:</label>
			<select name="categoria[]" id="categoria" multiple="multiple" size="10" class="height-auto">
				<?php
				$lista = Categoria::listar();
				if(is_array($lista)){
					foreach($lista as $id => $dados){
						if($temCategoria && array_key_exists($id,$arrCategoria)){
							$sel = "selected";
						}
						else{
							$sel = "";
						}
						?>
						<option value="<?=$dados['id']?>" <?=$sel?>><?=$dados['nomeCompleto']?></option>
						<?php
					}
				}
				?>
			</select>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Salvar" title="Salvar" />
		</div>
		<input type="hidden" name="id" value="<?=$_REQUEST['id']?>" />
	</form>
</div>

<?php if($temCategoria) { ?>
	<div class="boxForm">
            <div class="boxTitulo">Opções <span style="color:red;">(*)Obrigatório indicar a principal categoria do produto.</span></div>
		<form name="form2" id="form2" action="" method="post">
			<?php foreach($arrCategoria as $idCat => $dadosCat) { ?>
				<?php
				$lista2 = Categoria::listar("WHERE c.id = ".$idCat);
				$dadosCat2 = current($lista2);
				?>
				<div class="campo3">
					<b><?=$dadosCat2['nomeCompleto']?>:</b>
					&nbsp;&nbsp;&nbsp;<span class="texto-label">Destaque:</span>
					<select name="destaque[<?=$idCat?>]" id="destaque<?=$idCat?>" class="width-auto">
						<option value="s" <?=($dadosCat['destaque'] == 's')?'selected':''?>>Sim</option>
						<option value="n" <?=($dadosCat['destaque'] == 'n')?'selected':''?>>Não</option>
					</select>
					&nbsp;&nbsp;
					<input type="radio" name="principal" id="principal[<?=$idCat?>]" value="<?=$idCat?>" class="width-auto" <?=($dadosCat['principal'] == 's')?'checked':''?>>&nbsp;<span class="texto-label">Principal</span>
				</div>
			<?php } ?>
			<div class="campo3 align-right">
				<input type="submit" class="botao" name="ok2" value="Salvar" title="Salvar" />
			</div>
			<input type="hidden" name="id" value="<?=$_REQUEST['id']?>" />
		</form>
	</div>
<?php } ?>

<?php
include 'rodape.php';
?>